Flash Player on 64 bit linux - Firefox

Mike Hollis zzflop at embarqmail.com
Wed Jan 5 12:38:10 PST 2011


On Wed, Jan 05, 2011 at 12:09:21PM -0700, Matthew Burgess wrote:
> On Wed, 5 Jan 2011 13:58:33 -0500, Mike Hollis <zzflop at embarqmail.com> wrote:
> > On Wed, Jan 05, 2011 at 06:47:55PM +0100, Lars Bamberger wrote:
> >>
> >> I'm using Shockwave-Flash-10.1r10 with firefox-3.6.13 (with GNOME). That
> >> works perfectly here. libcurl does not seem to be a dependency for
> >> libflashplayer.so. (See output of 'ldd libflashplayer.so')
> >>
> > ldd indeed does not show it as a dependency, but I renamed all the
> > libcurls.* in /usr/lib and I have the symptoms the poster is reporting.
> > Rename them correctly and it works.
> 
> Sounds like it's doing a dlopen() on those libraries then.  strace would
> probably prove it if anyone can be bothered :-)
> 
> Regards,
> 
> Matt.
> 

 Sample of strace -f -o trace firefox :

1641  open("/usr/lib/firefox/libcurl.so.4", O_RDONLY) = -1 ENOENT (No 
such file or directory)
1641  open("/usr/lib/firefox/plugins/libcurl.so.4", O_RDONLY) = -1 
ENOENT (No such file or directory)
1641  open("/lib/libcurl.so.4", O_RDONLY) = -1 ENOENT (No such file or 
directory)
1641  open("/usr/lib/tls/libcurl.so.4", O_RDONLY) = -1 ENOENT (No such 
file or directory)
1641  open("/usr/lib/libcurl.so.4", O_RDONLY) = 45

 Perhaps this is because I'm using firefox binaries instead a compiled 
vesion ? 

-- Mike Hollis --- 






More information about the blfs-support mailing list